Subject: RE: [Simple] ungraceful shutdwon of presence clients

From: Adam Roach <[email-masked]>
Date: Fri, 6 Sep 2002 09:04:50 -0500

Yes.

-----Original Message-----
From: Himanshoo Kumar Saxena [mailto:[email-masked]]

Consider subscriber A having REGISTERED via. REGISTER.. Now another
subscriber B subscribes for A's presence information.
Based on the duration in expires header field of A's subscription, till that
time, A is considered online. In the meantime, A goes down ( I mean
ungraceful shutdwon e.g. machine shutdown) But for presence server A is
still online since the expires period hasn't yet ended. So if B tries to
send a message to A , then presence server will send a SIP MESSAGE to A .
Only upon expiry of response timeout to this MESSAGE request , the presence
server will know that A is offline....
Is this understanding correct ?